コンテンツへスキップ

AI テキストから動画へのタスクを実行します。

リクエスト

AI タスクは非同期です。機能ごとに Webhook がサポートされている場合は、Webhook による完了処理を優先します。Webhook エンドポイントを設定し、Webhook 署名を検証したうえで、success または error の通知が来たら、受け取った task_id を使ってタスクの結果を照会します。設定と検証の詳細は Webhook 統合ガイド を参照してください。

Webhook がサポートされていない場合、または統合に使えない場合は、ポーリングを実装します。AI タスクを送信した後、一定の間隔(例:10 秒ごと)でステータスエンドポイントをポーリングし、success または error になるまで待ちます。

セキュリティ
BearerAuthenticationV2
ボディapplication/json必須
modelstring

モデル名。

デフォルト:"youcam-video-v2"
Value:"youcam-video-v2"
promptstring, [ 1 .. 5000 ] characters必須

動画の内容とビジュアルスタイルを記述するテキストプロンプト。 中国語と英語に対応しています。各文字または文字は 1 文字としてカウントされます。

例:"A kitten running in the moonlight."
negative_promptstring, [ 1 .. 500 ] characters

動画から除外するコンテンツを記述し、出力を制約するネガティブプロンプト。 中国語と英語に対応しています。

例:"low resolution, error, worst quality, low quality, disfigured, extra fingers, bad proportions."
resolutionstring

生成される動画の解像度ティア。明瞭度(総ピクセル数)を制御します。

デフォルト:"1080P"
Enum:"720P""1080P"
例:"1080P"
ratiostring

生成動画のアスペクト比。

各アスペクト比における出力動画の解像度(幅*高さ)は以下の表に記載されています。

解像度ティアアスペクト比出力動画の解像度(幅*高さ)
720P16:91280*720
720P9:16720*1280
720P1:1960*960
720P4:31104*832
720P3:4832*1104
1080P16:91920*1080
1080P9:161080*1920
1080P1:11440*1440
1080P4:31648*1248
1080P3:41248*1648
デフォルト:"16:9"
Enum:"16:9""9:16""1:1""4:3""3:4"
例:"16:9"
dst_durationinteger, [ 2 .. 15 ]必須

生成動画の長さ(秒)。

デフォルト:5
例:5
prompt_extendboolean

プロンプト書き換えを有効にします。有効にすると、大規模言語モデルが入力プロンプトを賢く書き換えます。短いプロンプトの結果が改善されますが、レイテンシが増加します。

デフォルト:true
Enum:truefalse
例:true
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/text-to-video/youcam \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "model": "youcam-video-v2",
    "prompt": "A kitten running in the moonlight.",
    "negative_prompt": "low resolution, error, worst quality, low quality, disfigured, extra fingers, bad proportions.",
    "resolution": "1080P",
    "ratio": "16:9",
    "dst_duration": 5,
    "prompt_extend": true
  }'

レスポンス

タスクの実行に成功しました

ボディapplication/json
statusinteger

レスポンスステータス

例:200
dataobject
レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }